aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2007-04-05 09:14:45 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2007-04-05 09:14:45 +0000
commiteb7f0da5e2f9482c4ed457796d776345b27eb64a (patch)
tree809f7e78cacd1db9c02fe4d2ae47ec5b616d52d8 /sci-physics/paw
parentadded cernlib eclass (diff)
downloadsci-eb7f0da5e2f9482c4ed457796d776345b27eb64a.tar.gz
sci-eb7f0da5e2f9482c4ed457796d776345b27eb64a.tar.bz2
sci-eb7f0da5e2f9482c4ed457796d776345b27eb64a.zip
cernlib now uses the cernlib.eclass
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@547 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-physics/paw')
-rw-r--r--sci-physics/paw/Manifest8
-rw-r--r--sci-physics/paw/paw-2.14.04-r2.ebuild50
2 files changed, 9 insertions, 49 deletions
diff --git a/sci-physics/paw/Manifest b/sci-physics/paw/Manifest
index 9c368fb5d..a0b63be45 100644
--- a/sci-physics/paw/Manifest
+++ b/sci-physics/paw/Manifest
@@ -6,10 +6,10 @@ EBUILD paw-2.14.04-r1.ebuild 1217 RMD160 b486b0c6466ad91c24afad111a227747b6eb398
MD5 461b976606d831ddccf853026323e781 paw-2.14.04-r1.ebuild 1217
RMD160 b486b0c6466ad91c24afad111a227747b6eb3983 paw-2.14.04-r1.ebuild 1217
SHA256 502ec259865783e29a88240e57a628820a75f02d74d3ab1a8797ffe95c4ce037 paw-2.14.04-r1.ebuild 1217
-EBUILD paw-2.14.04-r2.ebuild 1457 RMD160 d436ad0ab4d349dcdfa115ccdc3fd620456a14de SHA1 6864aaaa061f830baad72c9acfbb40bc92571dbe SHA256 0270ca2f68b78cbbc98178c19e10e72d1042facb3f3524b89a672d1414fd8fd5
-MD5 df2f0514cf6c6b140a39d7edc6d0c1d7 paw-2.14.04-r2.ebuild 1457
-RMD160 d436ad0ab4d349dcdfa115ccdc3fd620456a14de paw-2.14.04-r2.ebuild 1457
-SHA256 0270ca2f68b78cbbc98178c19e10e72d1042facb3f3524b89a672d1414fd8fd5 paw-2.14.04-r2.ebuild 1457
+EBUILD paw-2.14.04-r2.ebuild 532 RMD160 03f65f3aedf0f44419f7d44ba4a46ffbb33edc88 SHA1 de8c980838482916e040dd01dd8031d074fa98e4 SHA256 f090efad537c2f88dbdbfc6c3e741b2c04565326d6ac97a5d760e6358b54b93f
+MD5 6f46acfa1d4fb0d1797b72fd1d1f146f paw-2.14.04-r2.ebuild 532
+RMD160 03f65f3aedf0f44419f7d44ba4a46ffbb33edc88 paw-2.14.04-r2.ebuild 532
+SHA256 f090efad537c2f88dbdbfc6c3e741b2c04565326d6ac97a5d760e6358b54b93f paw-2.14.04-r2.ebuild 532
MISC ChangeLog 624 RMD160 8d45c91d4915a03c95241c4fce2ee0cee706c008 SHA1 dad0604196ea85809d2ec3478743ec2e75744128 SHA256 bd6d0634d13839b50363e0a8b235bb9447f72ce0001df2d12f2672f62eadc839
MD5 b5e4706f709701e642b6080fff81a76c ChangeLog 624
RMD160 8d45c91d4915a03c95241c4fce2ee0cee706c008 ChangeLog 624
diff --git a/sci-physics/paw/paw-2.14.04-r2.ebuild b/sci-physics/paw/paw-2.14.04-r2.ebuild
index 350ed6dcb..35b726077 100644
--- a/sci-physics/paw/paw-2.14.04-r2.ebuild
+++ b/sci-physics/paw/paw-2.14.04-r2.ebuild
@@ -2,58 +2,18 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-inherit eutils multilib fortran
-
-DEB_PV="${PV}.dfsg"
-DEB_PR="1"
+inherit cernlib
DESCRIPTION="CERN's Physics Analysis Workstation data analysis program"
HOMEPAGE="http://wwwasd.web.cern.ch/wwwasd/paw/index.html"
-LICENSE="BSD"
-SRC_URI="mirror://debian/pool/main/p/${PN}/${PN}_${DEB_PV}.orig.tar.gz
- mirror://debian/pool/main/p/${PN}/${PN}_${DEB_PV}-${DEB_PR}.diff.gz"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-DEPEND="x11-libs/xbae
- >=sci-physics/cernlib-2006"
-
-S=${WORKDIR}/${PN}_${DEB_PV}.orig
-
-FORTRAN="gfortran g77 ifc"
+DEPEND="x11-libs/xbae"
src_unpack() {
- fortran_src_unpack
-
- cd "${WORKDIR}"
- epatch ${PN}_${DEB_PV}-${DEB_PR}.diff || die "epatch failed"
- mv ${PN}-${PV}.dfsg/debian "${S}"/
- rm -rf ${PN}-${PV}.dfsg
-
- cd "${S}"
- cp debian/add-ons/Makefile .
+ cernlib_unpack
# fix some path stuff and collision for comis.h, already installed by cernlib
sed -i \
- -e "s:/usr/local:/usr:g" \
-e '/comis.h/d' \
-e "s/g77/${FORTRANC}/g" \
- Makefile || die "sed failed"
-
- einfo "Applying Debian patches"
- make \
- DEB_BUILD_OPTIONS="${FORTRANC} nostrip" \
- patch &> /dev/null || die "make patch failed"
-}
-
-
-src_compile() {
- emake -j1 DEB_BUILD_OPTIONS="${FORTRANC} nostrip" \
- || die "emake failed"
-}
-
-src_install() {
- emake DESTDIR="${D}" install || die "emake install failed"
- cd "${S}"/debian
- dodoc changelog README.* deadpool.txt copyright.txt
- newdoc add-ons/README README.add-ons
+ "${S}"/debian/add-ons/Makefile || die "sed failed"
+ cernlib_patch
}